SalesOS.

Agent Marketplace

Pre-built AI agent library

List available marketplace agents (root)

GET
/v1/agent-marketplace

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

categoryRequiredstring
searchRequiredstring
sortByRequiredstring
pricingRequiredstring
sortRequiredstring
pageRequiredstring
limitRequiredstring
curl -X GET "https://api.salesos.org/v1/agent-marketplace?category=%3Cstring%3E&search=%3Cstring%3E&sortBy=%3Cstring%3E&pricing=%3Cstring%3E&sort=%3Cstring%3E&page=%3Cstring%3E&limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

List available marketplace agents

GET
/v1/agent-marketplace/agents

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

categorystring
searchstring
sortBystring
Value in: "rating" | "installs" | "newest"
pagestring
limitstring
curl -X GET "https://api.salesos.org/v1/agent-marketplace/agents?category=%3Cstring%3E&search=%3Cstring%3E&sortBy=rating&page=%3Cstring%3E&limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Get agent details

GET
/v1/agent-marketplace/agents/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Agent ID

curl -X GET "https://api.salesos.org/v1/agent-marketplace/agents/<string>" \
  -H "Authorization: Bearer <token>"

Install an agent for the organization

POST
/v1/agent-marketplace/agents/{id}/install

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Agent ID

curl -X POST "https://api.salesos.org/v1/agent-marketplace/agents/<string>/install" \
  -H "Authorization: Bearer <token>"

Uninstall an agent

DELETE
/v1/agent-marketplace/agents/{id}/uninstall

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Agent ID

curl -X DELETE "https://api.salesos.org/v1/agent-marketplace/agents/<string>/uninstall" \
  -H "Authorization: Bearer <token>"

Update agent configuration

PATCH
/v1/agent-marketplace/agents/{id}/configure

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Agent ID

curl -X PATCH "https://api.salesos.org/v1/agent-marketplace/agents/<string>/configure" \
  -H "Authorization: Bearer <token>"

Get reviews for an agent

GET
/v1/agent-marketplace/agents/{id}/reviews

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Agent ID

Query Parameters

pagestring
limitstring
curl -X GET "https://api.salesos.org/v1/agent-marketplace/agents/<string>/reviews?page=%3Cstring%3E&limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Submit a review for an agent

POST
/v1/agent-marketplace/agents/{id}/reviews

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Agent ID

curl -X POST "https://api.salesos.org/v1/agent-marketplace/agents/<string>/reviews" \
  -H "Authorization: Bearer <token>"

List installed agents for the organization

GET
/v1/agent-marketplace/installations

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/agent-marketplace/installations" \
  -H "Authorization: Bearer <token>"

Publish an agent (frontend path)

POST
/v1/agent-marketplace/publish

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/agent-marketplace/publish" \
  -H "Authorization: Bearer <token>"

Publish an agent to the marketplace

POST
/v1/agent-marketplace/agents/publish

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/agent-marketplace/agents/publish" \
  -H "Authorization: Bearer <token>"

Get marketplace statistics for the organization

GET
/v1/agent-marketplace/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/agent-marketplace/stats" \
  -H "Authorization: Bearer <token>"
GET
/v1/agent-marketplace/featured

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/agent-marketplace/featured" \
  -H "Authorization: Bearer <token>"
GET
/v1/agent-marketplace/trending

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/agent-marketplace/trending" \
  -H "Authorization: Bearer <token>"

Get agent details (frontend root path)

GET
/v1/agent-marketplace/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/agent-marketplace/<string>" \
  -H "Authorization: Bearer <token>"

Install an agent (frontend root path)

POST
/v1/agent-marketplace/{id}/install

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/agent-marketplace/<string>/install" \
  -H "Authorization: Bearer <token>"

Uninstall an agent (frontend root path)

DELETE
/v1/agent-marketplace/{id}/install

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://api.salesos.org/v1/agent-marketplace/<string>/install" \
  -H "Authorization: Bearer <token>"

Configure an agent (frontend root path)

PATCH
/v1/agent-marketplace/{id}/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X PATCH "https://api.salesos.org/v1/agent-marketplace/<string>/config" \
  -H "Authorization: Bearer <token>"

Get reviews for an agent (frontend root path)

GET
/v1/agent-marketplace/{id}/reviews

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Query Parameters

pageRequiredstring
limitRequiredstring
curl -X GET "https://api.salesos.org/v1/agent-marketplace/<string>/reviews?page=%3Cstring%3E&limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Submit a review (frontend root path)

POST
/v1/agent-marketplace/{id}/reviews

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/agent-marketplace/<string>/reviews" \
  -H "Authorization: Bearer <token>"